import os
import unittest
from packgram import version
from packgram.manage import PythonPackgramModule

class SetupTest(unittest.TestCase):

    #Public
    
    def setUp(self):
        self.module = PythonPackgramModule(meta_module=None, 
                                           meta_basedir=self._basedir)
    
    def test_long_description(self):
        self.assertRegex(self.module.long_description, 
                         '.*pip install packgram.*')
        
    def test_version(self):
        self.assertEqual(self.module.version, version)
        
    #Protected
    
    @property
    def _basedir(self, *args):
        return os.path.join(os.path.dirname(__file__), '..', '..', '..')